2023-06-05 22:52 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002314GhoulsNGhosts[All Projects] Generalpublic2023-03-22 11:54
ReporterVille Haapanen 
Assigned ToCFOUProject InfoGhouls'n'Ghosts (Capcom/U.S.Gold)
http://www.whdload.de/games/GhoulsNGhosts.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0002314: I encountered "Exception "Access Fault" ($4008) PC = $191E0 Byte Read from
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 18.12.2000

I encountered "Exception "Access Fault" ($4008) PC = $191E0 Byte Read from $E1B52" playing in level 3. I will attach .whdl_register later.
Tagsaccess_fault
MachineA1200
CPU68060 + PPC
CPUSpeed60
ChipSetAGA
GFXCardVoodoo3/Mediator
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoft40 - Kick 3.1
WHDLoad16.9
importedyes
Attached Files
  • ? file icon .whdl_register (2,786 bytes) 2010-08-08 19:07 -
    ************************* 20-Jul-10 21:44:23 ************************16.9.4672***
    Slave='GhoulsNGhosts.Slave' (476 bytes)
    ShadowMem 79CE6B40 - 79CF9B40 (  77824) AbsolutMem    13000 -    80000 ( 446464)
    Resload   7FECB000 - 7FED3CFC (  36092) at 7FECB000  GL=$7FED5000
    Slave     7FEDE000 - 7FEDE1B8 (    440) at 7FEDE000  BaseMemSize=$80000
    attn=FF(60,82) fc=-1 kn=10856 cs=92B9 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Access Fault" ($4008) PC = $191E0 Byte Read from $E1B52
    
    $000191d2 asl.w        #2,d0
    $000191d4 lea          ($19eb2),a2
    $000191da move.l       (0,a2,d0.w),a2                 ;$0001a293
    $000191de adda.l       d2,a2
    1m$000191e0 move.b       (a1),d0                        ;$000e1b52
    22m$000191e2 andi.w       #$ff,d0
    $000191e6 asl.w        #1,d0
    $000191e8 move.b       (0,a2,d0.w),d2                 ;$0001a293
    $000191ec movem.l      (a7)+,d0-d1                    ;$00018b2e
    
    exception stackframe:
    $00018B2E 21000001 91E04008 000E1B52 01250200
    regular stack:
    $00018B3E 0000095C 0000FFFE 0001CF1C 0001CEB6 0001B94C 00000053 000496E8 000186E2
    $00018B5E 00000000 0BBB0777 08520A74 037F005F 0D000900 00090888 00050555 0E400FFF
    $00018B7E 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $00018B9E 00000022 0CEE07BB 04880388 024408CC 004E008E 0E3E0EC0 0C800960 08400620
    $00018BBE 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx    E0008     AFF50         1      CFCA         C     4015F      FFFF         0
    Ax    496E8     E1B52     1A28B     55C04     4B704         0     1B8DC
    
                     TTSM III   XNZVC
    PC=   191E022m  SR %0010000100000000  USP=7FC00  1mSSP=18B2E
    VBR=7FED6000  SFC=5  DFC=5  CACR=80008000  PCR=04300622  BUSCR=00000000
    TC=8000  URP=7FEC9000  SRP=7FEC9000
    DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%010000000010101022m dmacon=%1m0010001111011111 adkcon=$1100
    intreq=%0000011001000000
    vposr....A300  vhposr...0286  joy0dat..0002  joy1dat..11D3  clxdat...8001  
    pot0dat..0078  pot1dat..2121  potinp...5500  serdatr..3800  dskbytr..8000  
    deniseid.00F8  hhposr...FF68  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000000022m  ta=  77<  80	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000000022m  tb=21FF<21FF	   crb=1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=1111111022m  prb=1m1111111122m      pra=1m1111111122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=00D420  icr=00  sdr=01    event=035B20  icr=04  sdr=00
    
    ? file icon .whdl_register (2,786 bytes) 2010-08-08 19:07 +

-Relationships
+Relationships

-Notes

note ~0001877

Ville Haapanen (reporter)

Access fault doesn't happen either with WHDLoad 16.0 or 16.4. Also level 5 boss graphics are distorted (tested with WHDLoad 16.0)

note ~0001880

Ville Haapanen (reporter)

With WHDload 17 beta [build 4874] there was no access fault (i completed the game! :) But level 5 boss (before Lucifer) still has graphic bugs.

note ~0001893

Ville Haapanen (reporter)

Strangely now with WHDLoad 16.9 [build 4672] i was able to normally finish the game without ANY glitches whatsoever. So i think case closed :).

I think future testing of WHDLoad slaves should be done with a clean cold-start of computer because there can be memory trashing that crashes games (creating exceptions etc.)

note ~0002584

Ville Haapanen (reporter)

Haven't encountered any access faults for some time now (latest WHD 17 beta), but most times level 5 boss has graphic bugs.

note ~0012558

CFOU (developer)

try with Nocache (perhaps WaitBlt to add)
+Notes

-Issue History
Date Modified Username Field Change
2010-08-07 21:03 administrator New Issue
2010-08-07 21:03 administrator Status new => assigned
2010-08-07 21:03 administrator Assigned To => GalahadFLT
2010-08-08 19:07 Ville Haapanen File Added: .whdl_register
2010-08-08 19:07 Ville Haapanen Tag Attached: access_fault
2010-08-08 19:09 Ville Haapanen Note Added: 0001877
2010-08-08 19:58 Ville Haapanen Note Added: 0001880
2010-08-21 15:28 Ville Haapanen Note Added: 0001893
2012-01-22 23:13 Ville Haapanen Note Added: 0002584
2023-03-22 11:54 CFOU Assigned To GalahadFLT => CFOU
2023-03-22 11:54 CFOU Status assigned => resolved
2023-03-22 11:54 CFOU Resolution open => fixed
2023-03-22 11:54 CFOU Note Added: 0012558
+Issue History